Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.ldap
Class Utils

    java.lang.Object
      |
      +--org.apache.cocoon.processor.ldap.Utils

public class Utils
extends java.lang.Object

Utility methods for this processor.

Version:
  $Revision: 1.3 $ $Date: 2000/02/13 18:29:31 $
Author:
  Donald Ball

Field Summary
`static java.lang.String` | `ERROR_ELEMENT`
`static java.lang.String` | `ERROR_MESSAGE_ATTRIBUTE`
`static java.lang.String` | `ERROR_MESSAGE_ELEMENT`
`static java.lang.String` | `ERROR_MESSAGE_TEXT`
`static java.lang.String` | `ERROR_STACKTRACE_ATTRIBUTE`
`static java.lang.String` | `ERROR_STACKTRACE_ELEMENT`

Constructor Summary
`Utils()`

Method Summary
`static org.w3c.dom.Element` | `createErrorElement(org.w3c.dom.Document document, java.util.Properties props, java.lang.Exception e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_ELEMENT

    public static final java.lang.String ERROR_ELEMENT

### ERROR_MESSAGE_ATTRIBUTE

    public static final java.lang.String ERROR_MESSAGE_ATTRIBUTE

### ERROR_MESSAGE_ELEMENT

    public static final java.lang.String ERROR_MESSAGE_ELEMENT

### ERROR_STACKTRACE_ATTRIBUTE

    public static final java.lang.String ERROR_STACKTRACE_ATTRIBUTE

### ERROR_STACKTRACE_ELEMENT

    public static final java.lang.String ERROR_STACKTRACE_ELEMENT

### ERROR_MESSAGE_TEXT

    public static final java.lang.String ERROR_MESSAGE_TEXT

Constructor Detail

### Utils

    public Utils()

Method Detail

### createErrorElement

    public static org.w3c.dom.Element createErrorElement(org.w3c.dom.Document document,
                                                         java.util.Properties props,
                                                         java.lang.Exception e)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.